public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pysvn/
Date: Fri, 30 Jul 2021 20:31:00 +0000 (UTC)	[thread overview]
Message-ID: <1627677054.5da997c5eb250d08b634b561353fab3b66db3d8a.sping@gentoo> (raw)

commit:     5da997c5eb250d08b634b561353fab3b66db3d8a
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 30 20:28:33 2021 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Fri Jul 30 20:30:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5da997c5

dev-python/pysvn: 1.9.15

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.20, Repoman-3.0.3

 dev-python/pysvn/Manifest            |  1 +
 dev-python/pysvn/pysvn-1.9.15.ebuild | 64 ++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/pysvn/Manifest b/dev-python/pysvn/Manifest
index deee675c45e..a1a1a103ecc 100644
--- a/dev-python/pysvn/Manifest
+++ b/dev-python/pysvn/Manifest
@@ -1,2 +1,3 @@
 DIST pysvn-1.9.11.tar.gz 624408 BLAKE2B 2ca13388717cc82b68509843e3b1780bceb5c088c41fadc81206c909eb185ec7c73d0a7453fc4e0c1a78a5186e21d382c79af0fb666edce7f5e72c0cf63e25db SHA512 078dc0e19a1f29d40571de002734943415594bcbe132a4d0e6bf8e8781175345ca1b3a4967a183a15efb1462871a40d8e3879a22c913a649555ca593fb99db89
 DIST pysvn-1.9.13.tar.gz 666722 BLAKE2B 4ada83f474026976309b8fc7876dd860fb68eb73dd0a4db0dd0c2838cc029976d5886462705c8b6aa85c5a6f8081f94df61bcbc1698879537fbeb3125154c1a0 SHA512 26ce9af363efb1aee25f8ed73e5bab56208523cb3e7cbe657a5f1145bc3500b2f370b4dfebf4eaace9f566f5676b053c41acb4d01458e4d6b79bd852ac260aa7
+DIST pysvn-1.9.15.tar.gz 667161 BLAKE2B 35e9e0967d5c0b4cebf546e40df17b66c66406d0f8100c32e6e840220f60b0083c0ed3f3af5f54e2264d06905ea90970d6b7cbfad2bab872a14d5d4aea5900df SHA512 0809507134fd31f6bcc90217e7840eb166e2eb2ed56316010a549dd70f6f855599f596942574343cdefd5997947b12c847df2cd145669f50aa93f603e46a5ee0

diff --git a/dev-python/pysvn/pysvn-1.9.15.ebuild b/dev-python/pysvn/pysvn-1.9.15.ebuild
new file mode 100644
index 00000000000..9e8fecfbe0e
--- /dev/null
+++ b/dev-python/pysvn/pysvn-1.9.15.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_IN_SOURCE_BUILD=true
+DISTUTILS_USE_SETUPTOOLS=bdepend  # see setup.py
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="Object-oriented python bindings for subversion"
+HOMEPAGE="https://pysvn.sourceforge.io/"
+SRC_URI="mirror://sourceforge/project/pysvn/pysvn/V${PV}/${P}.tar.gz"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="doc examples"
+
+DEPEND="
+	>=dev-python/pycxx-7.0.2[${PYTHON_USEDEP}]
+	>=dev-vcs/subversion-1.9"
+RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+	# Don't use internal copy of dev-python/pycxx.
+	rm -r Import || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_configure() {
+	cd Source || die
+	# all config options from 1.7.6 are all already set
+	esetup.py configure
+}
+
+python_compile() {
+	cd Source || die
+	emake \
+		CC="$(tc-getCC)" \
+		CCC="$(tc-getCXX)"
+}
+
+python_test() {
+	cd Tests || die
+	emake
+}
+
+python_install() {
+	cd Source || die
+	python_domodule pysvn
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( Docs/. )
+	if use examples; then
+		docinto examples
+		dodoc -r Examples/Client/.
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2021-07-30 20:31 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-30 20:31 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-17 12:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/pysvn/ Sam James
2024-05-17 12:48 Sam James
2024-05-17 12:48 Sam James
2024-04-14 18:41 Sebastian Pipping
2022-12-31 15:04 Michał Górny
2022-12-31 15:04 Michał Górny
2022-12-31 13:28 Sam James
2022-12-31 13:28 Sam James
2022-12-31 13:28 Sam James
2022-08-04  6:29 Michał Górny
2022-08-04  0:13 Sam James
2022-08-04  0:13 Sam James
2022-08-03  7:50 Agostino Sarubbo
2022-07-03 13:11 Sebastian Pipping
2021-09-11  6:02 Sam James
2021-09-06  5:40 Agostino Sarubbo
2021-09-05 20:04 Agostino Sarubbo
2021-08-07 23:37 Sam James
2021-08-07 14:49 Sam James
2021-08-07 14:43 Sam James
2021-08-03 13:59 Sebastian Pipping
2021-06-01 11:28 Sam James
2020-06-14 13:47 Sergei Trofimovich
2020-05-13 10:08 Agostino Sarubbo
2020-05-12  6:31 Agostino Sarubbo
2020-03-20  9:58 David Seifert
2020-02-03 20:46 Michał Górny
2019-10-06 11:01 Michał Górny
2015-12-26 12:03 Agostino Sarubbo
2015-12-25 18:19 Agostino Sarubbo
2015-12-24 20:11 Agostino Sarubbo
2015-12-13 14:05 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1627677054.5da997c5eb250d08b634b561353fab3b66db3d8a.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox